﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication9
{
    public class ViewModel:INotifyPropertyChanged
    {
        private ObservableCollection<MyClass> collection;
        public ObservableCollection<MyClass> Collection
        {
            get { return collection; }
            set 
            { 
                collection = value;
                NotifyPropertyChanged("Collection");
            }
        }

        public ViewModel()
        {
            collection = new ObservableCollection<MyClass>()
            {
                new MyClass(){ Name="US",Cities=new List<string>(){"LA","Chicago","NYC"}},
                new MyClass(){ Name="GB",Cities=new List<string>(){"London","Liverpool"}}
            };
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion
    }
}
